Bug 1253755 - (CVE-2015-6496) CVE-2015-6496 conntrackd crash on unexpected network traffic
CVE-2015-6496 conntrackd crash on unexpected network traffic
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140324,repor...
: Security
Depends On: 1253757 1253758
Blocks: 1239093 1253759
  Show dependency treegraph
 
Reported: 2015-08-14 11:31 EDT by Florian Weimer
Modified: 2016-11-08 11:23 EST (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-20 21:41:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Netfilter 910 None None None Never

  None (edit)
Description Florian Weimer 2015-08-14 11:31:16 EDT
It was discovered that conntrackd would crash if it encountered network
traffic with an IP protocol type for which the corresponding kernel module
was not loaded.
Comment 4 Florian Weimer 2015-08-14 11:33:31 EDT
Created conntrack-tools tracking bugs for this issue:

Affects: fedora-all [bug 1253757]
Comment 5 Adam Mariš 2015-08-18 08:13:44 EDT
CVE assignment:
http://seclists.org/oss-sec/2015/q3/380
Comment 6 Fedora Update System 2015-08-21 22:52:02 EDT
conntrack-tools-1.4.2-9.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update conntrack-tools'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/conntrack-tools-1.4.2-9.fc22
Comment 7 Fedora Update System 2015-08-22 00:19:38 EDT
conntrack-tools-1.4.2-9.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update conntrack-tools'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/conntrack-tools-1.4.2-9.fc21
Comment 8 Fedora Update System 2015-08-22 12:26:28 EDT
conntrack-tools-1.4.2-9.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update conntrack-tools'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/conntrack-tools-1.4.2-9.fc23
Comment 10 Fedora Update System 2016-01-03 15:23:02 EST
conntrack-tools-1.4.2-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-01-03 16:20:58 EST
conntrack-tools-1.4.2-9.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.